import { tmrTokenZIndex } from "../tmr-constants.js";
import { Draconique } from "./draconique.js";

export class SortReserve extends Draconique {

  type() { return '' }
  match(item) { return false; }
  manualMessage() { return false }
  async onActorCreateOwned(actor, item) { }

  code() { return 'sortreserve' }
  tooltip(sort) { return `${sort.name}, r${sort.system.ptreve}` }
  img() { return 'systems/foundryvtt-reve-de-dragon/icons/tmr/sort-reserve.svg' }

  createSprite(pixiTMR) {
    return pixiTMR.sprite(this.code(), {
      zIndex: tmrTokenZIndex.sort,
      decallage: pixiTMR.sizes.decallage(-1, 0),
      taille: () => pixiTMR.sizes.third,
    });
  }
}
